\section{Compact Binary Coalescences}
Compact binary coalescences (CBCs) are one of the loudest
sources of GWs that can be detected by the advanced ground based
GW detectors today. The frequency evolution is between few tens to
few hundred Hz. By compact objects, we refer to neutron stars
and black holes. Although white dwarfs are also compact objects,
such mergers are not observable by ground based detectors since
their frequency evolution does not lie in the sensitive frequency
band of the ground-based detectors. In this section we give order of magnitude
estimates of quantities like the frequency evolution, time to coalescence,
total flux, frequency evolution and so on. Also, a brief description of
the interaction of the ground based interferometers with incoming GWs
is presented. It should be mentioned that to model the binary inspiral
accurately in the strong gravity regime, higher order post-newtonian
corrections have to be taken into account. Finally, black-hole
perturbation theory and numerical relativity simulations are needed
to capture the merger and ringdown phase.
\subsection{GWs in Linear Approximation}
The emission of GWs from a system causes a perturbation, $h_{\mu\nu}$, in
the spacetime. In the linear approximation and assuming propagation of
waves over a flat spacetime, the spacetime metric is written as,
\begin{equation}
    g_{\mu\nu} = \eta_{\mu\nu} + h_{\mu\nu},
\end{equation}
where $\eta_{\mu\nu} = \mathrm{diag}(-c^2, +1, +1, +1)$, is the flat
spacetime metric. The expression for the metric perturbation, to first
order, is given by \citep[see, for example, Chapter 3 of][]{Creighton:2011zz},
\begin{equation}
    h_{ij}^{\text{TT}}(t) = \frac{2G}{c^4r} \ddot{I}_{ij}^{\text{TT}}(t-r/c),
    \label{eq:gw-quadrupole-strain}
\end{equation}
where $G$ is the gravitational constant, $c$ is the speed of light, $r$ is
the distance to the source and $I_{ij}$ is the quadrupole moment of the mass
distribution, $\rho$, producing the GWs given by,
\begin{equation}
    I^{ij} = \int x'^i x'^j \rho(t-r/c, x')d^3x'.
\end{equation}
The superscript ``TT'' denotes the \emph{transverse-traceless} gauge
where the metric perturbation can be written in the form of Eq.~(\ref{eq:gw-quadrupole-strain}).
The coordinate freedom of the GR field equations guarantees that such a
gauge exists. The metric perturbation can be transformed into this gauge
after being evaluated in some other coordinate system. In what follows,
we will assume this gauge, i.e., the metric perturbation is transverse
to the direction of propagation and is traceless and avoid the ``TT''
superscript. This result of Eq.~(\ref{eq:gw-quadrupole-strain}) is of
primary importance, which says GW radiation in GR is produced by a
time varying mass quadrupole moment of the source, unlike EM radiation
where a time varying electric dipole moment of charge distribution
can produce radiation. The retarded time in the right hand side of
Eq.~(\ref{eq:gw-quadrupole-strain}) is due to the propagation at the
speed of light over a distance $r$. The energy flux carried by GW is
given by \citep{PhysRev.166.1263, PhysRev.166.1272},
\begin{eqnarray}
    \frac{dE_{\text{GW}}}{dtdA} &=& -\frac{c^3}{32\pi G}\Big\langle\dot{h}_{ij}\dot{h}^{ij}\Big\rangle \\
    &=& -\frac{G}{8\pi c^5r^2}\Big\langle\dddot{I}_{ij}\dddot{I}^{ij}\Big\rangle,
\end{eqnarray}
where the $\langle\dots\rangle$ denotes integration over several GW wavelengths.
The GW luminosity is given by,
\begin{equation}
    \Lgw = -\frac{dE_{\text{GW}}}{dt} = \frac{G}{5c^5}\Big\langle\dddot{I}^{ij}\dddot{I}_{ij}\Big\rangle.
    \label{eq:gw-luminosity}
\end{equation}
For order of magnitude calculations, we will drop the pre-factors and write
Eqs.~(\ref{eq:gw-quadrupole-strain}, \ref{eq:gw-luminosity}) as,
\begin{eqnarray}
    h &\sim& \frac{G}{c^4r}\ddot{I}, \\
    \Lgw &\sim& \frac{G}{c^5}\dddot{I}^2.
    \label{eq:strain-and-flux}
\end{eqnarray}
Applying the above expression for, say, a $1.4 - 1.4 \Msol$ BNS system
at 40 Mpc, emitting GWs at 100 Hz (orbiting each other at $\omegaorb = 50 $Hz),
orbital separation $a = \sqrt[3]{GM/\omegaorb^2} \sim 150$km, we have,
\begin{eqnarray}
    h &\sim& \frac{G}{c^4r}Ma^2\omegaorb^2 \nonumber \\
      &\sim& 10^{-22}
\end{eqnarray}
This is an optimistic detection scenario given the $\sim 10^{-23}$
strain sensitivity of the current detectors around $\sim$100 Hz regime.
The luminosity emitted is,
\begin{equation}
    \Lgw \sim 10^{51} \text{ erg s}^{-1}.
\end{equation}
This is an estimate of the luminosity at a fixed frequency. It is
insightful to cast the expression in a slightly different form using,
$\dddot{I} \sim M\vorb^2/T \sim M\vorb^3/a$ in Eq.~(\ref{eq:strain-and-flux}),
\begin{eqnarray}
    \Lgw &\sim& \frac{G}{c^5} \left(\frac{M}{a}\right)^2 \vorb^6 \\
         &\sim& \left(\frac{c^5}{G}\right) \left(\frac{GM}{c^2a}\right)^2
                \left(\frac{\vorb}{c}\right)^6 \label{eq:gw-luminosoty-2}\\
         &=& \left(3.6\times10^{51} \text{erg s}^{-1}\right)
             \left(\frac{\kappa}{0.1}\right)^2 \left(\frac{\vorb}{0.1c}\right)^6
\end{eqnarray}
Here, $T \sim a/\vorb$ is the typical time scale of the dynamics of the
quadrupolar component of motion, and $a$ is the typical length scale
of the system. The quantity, $\kappa = (GM/c^2a)$, is the compactness of the
system. The upper limit being, $\kappa \approx 0.5$, corresponding to a BH.
This form shows the two essential ingredients required for efficient GW
emission -- compact systems, moving at a fraction of the speed of light.
Also note that the pre-factor, $(c^5/G) = 3.6\times 10^{59} \text{erg s}^{-1}$,
is a fundamental upper limit of GW luminosity from any system.
In case, the system is in virial equilibrium, like a binary orbit,
$GM/a = v^2$, which changes Eq.~(\ref{eq:gw-luminosoty-2}) to,
\begin{equation}
    \Lgw \sim  \left(\frac{c^5}{G}\right)\left(\frac{\vorb}{c}\right)^{10}.
\end{equation}
\subsection{Evolution Of The Orbit}
\begin{figure}
    \begin{center}
	\begin{tikzpicture}
	\draw[->] (0, 0) -- (0, 4);
	\draw[->] (0, 0) -- (4, 0);
	\draw[->] (0, 0) -- (-2.5, -1.4);
	\node at (4, -0.3) {$y$};
	\node at (-0.3, 4) {$z$};
	\node at (-2.3, -1.7) {$x$};
	\draw[-, dashed] (-2, 1) -- (3, -1.5);
	\draw[<->, dotted] (-1.5, 1.2) -- (2.9, -1.);
	\node at (0.5, 0.5) {$a$};
	\draw[fill=gray!30] (3, -1.5) circle [radius=0.5];
	\draw[fill=gray!30] (-2, 1) circle [radius=0.3];
	\draw [-]  (-0.55, -0.3) .. controls (-0.2, -0.4) and (0.2, -0.4) .. (0.6, -0.3);
	\node at (0.2, -0.6) {$\phi$};
	\node at (3.05, -0.8) {$m_1$};
	\node at (-1.9, 1.5) {$m_2$};
	\end{tikzpicture}
    \end{center}
    \caption[Sketch showing a binary orbit.]{Figure showing a binary orbit.
    The primary (secondary) mass labeled as $m_1$ ($m_2$). The orbital
    separation is denoted by $a$, with the center of mass at the origin
    of the coordinate system. The orbit is assumed to be circular.}
    \label{fig:binary_orbit}
\end{figure}
Consider a binary system as shown in Fig.~\ref{fig:binary_orbit}. The
masses are assumed to be point mass systems. The orbit is assumed
to be circular.\footnote{Eccentric orbits increase the emitted GW luminosity
but the qualitative features are unchanged.} The expression for
the instantaneous GW luminosity is given by \citep[see Section 3.5 of][]{Creighton:2011zz},
\begin{equation}
    \Lgw = \frac{32}{5}\eta^2\left(\frac{c^5}{G}\right)\left(\frac{v}{c}\right)^{10},
    \label{eq:gw-luminosity-binary}
\end{equation}
where $\eta = m_1m_2/(m_1+m_2)^2$, is the symmetric mass ratio of the system, which
has a maximum value of 0.25. The total energy of the system is,
\begin{eqnarray}
    E &=& -GM\mu/2a, \\
      &=& -\mu \vorb^2/2,
    \label{eq:total-energy-newtonian-orbit}
\end{eqnarray}
where, $M = (m_1 + m_2)$, $\mu = m_1m_2/(m_1 + m_2)$, and $\vorb = a\omegaorb$, are the
total mass, reduced mass, and orbital velocity respectively. As the binary orbit
shrinks, $\{E, v\} \rightarrow -\infty$, with $\Lgw = - dE/dt$. This gives the time
to coalescence,
\begin{eqnarray}
    t_c &=& \frac{5}{32\eta}\frac{GM}{c^3}\int_{v_0/c}^{\infty}\frac{d(\vorb/c)}{(\vorb/c)^9} \\
        &=& \frac{5}{256\eta}\frac{GM}{c^3} \left(\frac{\pi GM\fgw^0}{c^3}\right)^{-8/3}.
\end{eqnarray}
Here, $v_0=\pi \fgw^0 a$ is an arbitrary starting value of the orbital velocity,
corresponding to a starting GW frequency $\fgw^0$. The fundamental mode of
GW frequency is twice the orbital frequency, $\fgw = 2\forb$. Thus, the
$1.4 - 1.4 \Msol$ BNS system emitting GWs $\simeq 100$~Hz, considered in the
previous section, will coalescence is $\approx 2.16$s. However, if the same system is
considered starting at $\simeq 30$ Hz, the time to coalescence $\approx 1$ minute. The
frequency evolution as a function of time can be evaluated using,
\begin{eqnarray}
    \frac{d\fgw}{dt} &=& \frac{d\fgw}{dv}\frac{dv}{dt} \\
                     &=& \left(\frac{3v}{G\mu M\pi}\right)\left(-\frac{dE}{dt}\right) \\
                     &=& \frac{96}{5}\pi^{8/3}\left(\frac{G\Mc}{c^3}\right)^{5/3}\fgw^{11/3}.
    \label{eq:df-dt}
\end{eqnarray}
where the newtonian expression, $\fgw = 2\forb = \vorb^3/GM\pi$, and Eq.~(\ref{eq:total-energy-newtonian-orbit})
has been used in the first line. The quantity, $\Mc = (m_1m_2)^{3/5}/(m_1 + m_2)^{1/5}$,
is the \emph{chirp mass} of the system, and determines the phase evolution of the orbit.
Integrating Eq.~(\ref{eq:df-dt}),
\begin{equation}
    f_{\text{GW}}(t) = \frac{1}{\pi} \left(\frac{5}{256}\right)^{3/8}\left(\frac{c^3}{G\Mc}\right)^{5/8}\frac{1}{(t_c - t)^{3/8}}.
\end{equation}
This shows the \emph{chirping} behavior where the frequency increases rapidly as one
approaches coalescence. The GW phase is,
\begin{eqnarray}
    \varphi_{\text{GW}}(t) &=& \int_t^{t_c} 2\pi f_{\text{GW}}(t')dt' \\
    &=& 2\varphi_c - \left[2\left(\frac{c^3(t - t_c)}{5G\Mc}\right)^{5/8}\right],
\end{eqnarray}
where $\varphi_c$ is the coalescence phase of the orbit. Laser interferometry
is primarily sensitive to the phase, and the above equation shows that at newtonian
order, the chirp mass, $\Mc$, is the only parameter of the system that be extracted
from the phase.

\subsubsection{Spectrum of CBCs}
The frequency domain evolution of the GW signal from a CBC is important from
a data analysis perspective. Many matched filtering techniques use frequency
domain waveform families to search for signals. The newtonian chirp waveform,
as a function of time is given by,
\begin{eqnarray}
    h(t) &=& a_{\text{GW}}(t)\times\cos\left[\varphi_{\text{GW}}(t)\right] \\
         &=& \left[\frac{G\Mc}{c^2r}\left(\frac{5G\Mc}{c^3(t_c - t)}\right)^{1/4}\right] \times\nonumber\\
         &&  \hspace{1cm}\cos\left[2\varphi_c - 2\left(\frac{c^3(t_c - t)}{5G\Mc}\right)^{5/8}\right].
    \label{eq:newtonian-chirp}
\end{eqnarray}
The frequency domain evolution is obtained via a fourier transform,
\begin{eqnarray}
    h(f) &=& \int_{-\infty}^{+\infty} h(t) \exp\left[2\pi i ft\right] dt \\
         &=& \int_{-\infty}^{+\infty} a_{\text{GW}}(t) \exp[i \psi(t)] dt,
\end{eqnarray}
where, $\psi(t) = 2\pi i ft \pm \varphi_{\text{GW}}(t)$. Consider the quantity,
$x = G\Mc/c^3$, appearing in Eq.~(\ref{eq:newtonian-chirp}). For typical stellar
mass binaries, $x \sim 10^{-6} - 10^{-5}$s. This is much smaller compared to
typical $(t_c - t)$ values, which are $\sim 10^{-3} - 10$s. The amplitude in
Eq.~(\ref{eq:newtonian-chirp}) goes as $\sim [(t_c-t)/x]^{-1/4}$, while the
phase goes as $\sim [(t_c-t)/x]^{5/8}$. Hence, the phase is a faster oscillating
function compared to changes in the amplitude. The integral can then be evaluated
using saddle point approximation as,
\begin{equation}
    h(f) = \int_{-\infty}^{+\infty} a(t_{\text{sp}})\exp i\left[
        \psi(t_\text{sp}) + \frac{1}{2}(t - t_\text{sp})^2
        \ddot{\psi}(t_\text{sp})\right] dt
\end{equation}
where $\dot{\psi}(t_\text{sp}) = 0$ at $(t_c - t_\text{sp}) = (4\pi f/5)^{-8/3}
(c^3/5G\Mc)^{5/3}$. This gives,
\begin{eqnarray}
    h(f) &=& \left[a_{\text{GW}}(t_{\text{sp}}) \left({\frac{2\pi}{\ddot{\varphi}_{\text{GW}}(t_{\text{sp}})}}\right)^{1/2}\right]
             \exp\left[-\frac{i\pi}{4} + i\psi(t_\text{sp})\right] \nonumber \\
         &\propto& f^{-7/6}
\end{eqnarray}

\subsection{Interaction With Detectors}
\begin{figure}
    \begin{center}
	\begin{tikzpicture}
		\draw[->] (0, 0) -- (0, 4);
		\draw[->] (0, 0) -- (4, 0);
		\draw[->] (0, 0) -- (-1.5, -0.9);

        \draw[fill=gray!30] (-1.25, -0.75) ellipse [x radius=0.25,y radius=0.3];
		\fill[fill=gray!20] (-1.27, -0.66) rectangle (-1.37, -0.66);
		\draw(-1.27, -0.66) -- (-1.37, -0.66);
		\draw(-1.27, -0.66) -- (-1.37, -0.66);
		\draw [fill=gray!0] (-1.3, -0.77) ellipse [x radius=0.25,y radius=0.3];

	    \draw[->] (-1.3, -0.78) -- (-2.5, -1.5);
		\node at (4, -0.3) {$y$};
		\node at (-0.3, 4) {$z$};
		\node at (-2.3, -1.7) {$x$};
	
		\draw[fill=gray!30] (2, 0) ellipse [x radius=0.07,y radius=0.3];
		\fill[fill=gray!20] (2,0.3) rectangle (2.1,-0.3);
		\draw(2, 0.3) -- (2.1,0.3);
		\draw(2, -0.3) -- (2.1,-0.3);
		\draw [fill=gray!0] (2.1, 0) ellipse [x radius=0.07,y radius=0.3];
	
		\draw[fill=gray!30] (0, 0) ellipse [x radius=0.07,y radius=0.3];
		\fill[fill=gray!20] (0,0.3) rectangle (0.1,-0.3);
		\draw(0, 0.3) -- (0.1,0.3);
		\draw(0, -0.3) -- (0.1,-0.3);
		\draw [fill=gray!0] (0.1, 0) ellipse [x radius=0.07,y radius=0.3];
	
		\draw[->, snake it] (0.5,-1.5) -- (0.5, -0.5);
		\draw [->,snake it]  (1.5,-2) -- (1.5,-1);
		\draw [->,snake it]  (-0.5,-2) -- (-0.5,-1);
		\draw[->, style=dashed] (0.2, 0.1) -- (1.9, 0.1);
		\node at (1, 0.4) {\scriptsize{$\xi^a$}};
	\end{tikzpicture}
    \end{center}
    \caption[Sketch showing interaction of GWs with test masses.]{The figure
    shows plane GWs propagating along the $z$-axis, with two test particles,
    believed to be test masses along the $y$-axis. The strain induced in the
    test masses is given by Eq.(\ref{eq:test_mass_motion}). A third test mass
    is also shown along the $x$-axis in reference to the typical setup of the
    Michelson interferometer.}
    \label{fig:gw_interaction}
\end{figure}
Gravitational waves have the physical effect of causing strain in materials
they pass through. In case of ground-based detectors like LIGO/Virgo, this
is measured by the interference pattern in a modified Michelson interferometer
(see Fig.~\ref{fig:gw_interaction} for an illustration).
In order to see the effect, consider a plane GW passing along the $z$-axis.
The metric perturbation, in terms of the two GW polarizations, $h_{+}$ and
$h_{\times}$, is written as,
\begin{equation}
    h_{\mu\nu} =
    \begin{pmatrix}
    0 & 0 & 0 & 0 \\
    0 & h_{+} & h_{\times} & 0 \\
    0 & h_{\times} & -h_{+} & 0 \\
    0 & 0 & 0 & 0
    \end{pmatrix}.
\end{equation}
The line element looks like,
\begin{equation}
    ds^2 = -c^2dt^2 + (1 + h_{+})dx^2 + (1 - h_{+})dy^2 + 2h_{\times}dxdy + dz^2.
    \label{eq:metric_gw-propagation}
\end{equation}
The strain induced by the GW is like a tidal effect i.e., a relative
displacement, caused due to geodesic deviation in the presence of GWs.
An observer at the origin of Fig.~\ref{fig:gw_interaction} sees the
relative motion between oneself and the nearby geodesics of the other
test masses via equation of geodesic deviation given by,
\begin{equation}
    \frac{d^2\xi^i}{dt^2} = -\tensor{R}{^i_{0j0}}\xi^j.
\end{equation}
The relevant terms in the Riemann curvature tensor are,
\begin{eqnarray}
    \tensor{R}{^0_{101}} &=& -\frac{1}{2}\ddot{h}_{+} \\
    \tensor{R}{^0_{102}} &=& -\frac{1}{2}\ddot{h}_{\times}.
\end{eqnarray}
Consider a plane wave incident on a pair of test particles, as shown along
the $y$-axis of Fig.~\ref{fig:gw_interaction}. These could be thought of as
test masses of ground-based GW detectors with a displacement vector,
$\xi^i = (0, 0, L, 0)$, between them. The equation of motion due to the GWs
is,
\begin{eqnarray}
    \ddot{\xi}^y(t) &=& -\tensor{R}{^2_{010}}\xi^1 - \tensor{R}{^2_{020}}\xi^2\\
                             &=& -\frac{1}{2}\ddot{h}_{+}(t)L \\
    \Rightarrow \xi^y(t) &=& \left(1 - \frac{1}{2}h_{+}(t)\right)L,
    \label{eq:test_mass_motion}
\end{eqnarray}
where $t$ is the proper time measured by the observer moving with the
test mass. In the strict sense, the test masses in ground based detectors
are not in free fall, since they are suspended via wires to compensate
for earth's gravity. But considering motion in the horizontal plane, they
are almost in free fall.\footnote{There are certainly, non stationary noise
sources like thermal noise, shot noise, violin modes to name a few.}

A typical ground-based GW interferometer consists of a Michelson
interferometer as shown in Fig.~\ref{fig:gw_interaction}. The light propagates
along null geodesics along the arms. Considering only the $+$ polarization
and propagation along the y-axis, we have,
\begin{equation}
    dt = \pm \left(\frac{1}{c}\right)\left(1 - \frac{1}{2} h_{+}\right)dy,
    \label{eq:light_travel_1}
\end{equation}
where the $\pm$ corresponds to the to and from travel from the origin respectively.
The cavity is sensitive in the regime where the time period of the GWs is much
smaller than the round trip light travel time, $2\pi/\omega_{\text{GW}} \ll 2L/c$.
In other words, the wavelength of the GWs is much larger than length scale of the
detectors. The typical wavelengths of the GW $\sim 100$~Hz is $\sim 10^3$~km, which
is much larger than the $\sim$ km long arms of the current detectors. Thus, the metric
perturbation is almost constant during the round trip of the light. Integrating
Eq.~(\ref{eq:light_travel_1}), the light travel time is,
\begin{equation}
    \Delta t = \frac{2L}{c} - \frac{L}{c}h_{+}.
    \label{eq:light_travel_2}
\end{equation}
Thus, the path difference attributed due to the GW is,
\begin{eqnarray}
    c\Delta t = \Delta L &=& - h_{+}L, \\
    \Rightarrow \frac{\Delta L}{L} &=& -{h_{+}}.
    \label{eq:gw_cavity_readout_strain}
\end{eqnarray}
The path length $2L/c$ in Eq.~(\ref{eq:light_travel_2}) is canceled by interference
with light from the other arm of the Michelson interferometer, along the $x$-axis
in Fig.~\ref{fig:gw_interaction}. Hence, the GW strain is directly obtained from the
phase readout of the cavity. Note that in reality the Michelson interferometer
setup is more complex and Fig.~\ref{fig:gw_interaction} is simply an illustration.
\footnote{See \url{https://www.ligo.caltech.edu/page/ligos-ifo} for a more realistic
illustration.}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{High Energy Astrophysics From Compact Objects}
Several EM transient phenomena, like supernovae, pulsars, gamma-ray
bursts, fast radio bursts, are associated with compact objects.
As discussed in the previous chapter, compact object mergers can be
luminous in EM spectrum in the presence of matter post merger.
The dynamics of matter in the violent aftermath of a merger can
launch various messengers. In this section, some of the EM counterparts
relevant for this thesis are discussed in brief. The high-energy
astrophysics is complex. Only a brief overview is presented here,
with pointers to review articles in the literature.
\subsection{Gamma-ray bursts}
Gamma-ray Bursts (GRBs) were discovered serendipitously in the 1960s by the
\emph{Vela} satellites that aimed to watch over nuclear tests being
performed on a terrestrial site \citep{1973ApJ...182L..85K}. Routine
discoveries were made by the Burst and Transient Source Experiment (BATSE)
instrument in the 1990s. As the name suggests, GRBs are bursts of gamma
rays with peak energies in the few hundred keV to $\sim$ MeV having a
duration $\sim 10^{-2}$s to $\sim 10^5$s. Bursts with duration $< (>)$
2s are categorized as short (long) GRBs. Observed fluences range between
$10^{-4}$erg cm$^{-2}$ to $10^{-7}$erg cm$^{-2}$. The total energy output
is comparable to supernovae, $\sim 10^{51}$ erg, but it is emitted in few
tens of seconds. The physics of the bursts are an area of research, but
it is widely accepted that such bursts involve highly relativistic material,
with Lorentz factor, $\Gamma = 1/\sqrt{1-v^2/c^2} \sim 100$. The radiation
comes primarily from synchrotron emission, and from inverse compton scattering
of the photons.

Regarding their progenitors, the long GRB population is connected to
massive star origin. They are typically associated with type Ic supernovae,
and reside in star forming host galaxies. On the other hand, the short GRB
population is characterized by the absence of a supernova association. Their
host galaxies range from early-type to star-forming galaxies. Their offset from
the galaxy core is much larger compared to long GRBs, or supernovae. The median
redshift of short GRBs is $z \sim 0.48$, as compared to the median redshift of
$z \sim 2$ for the long GRB population \citep{berger_review}. Although
hypothesized decades back (see Sec.~\ref{sec:intro-mma}), observation of
GRB170817A as a counterpart of GW170817 gave the observational evidence that
merging NSs are progenitors of at least some short GRBs. Although other
possibilities like NSBH mergers, rotational energy of magnetars, accretion
induced collapse of proto NSs are possible \citep{Narayan_1992, Metzger_2008,
BERNARDINI201564}. These facts make the short GRB population an interesting
case to study. Their association with merger of compact binaries make them
a MMA candidate for gamma-ray detectors. The association with afterglows in
the X-ray, optical and radio make them candidates for corresponding telescopes.
In this section, a review of the basic physics of GRBs are presented. Most of
the material is adapted from \citet{piran_2004, longair, Gehrels932}.

\subsubsection{Relativistic Beaming}
\begin{figure}
    \begin{center}
	\begin{tikzpicture}
		\draw[->] (0, 0) -- (0, 4);
		\draw[->] (0, 0) -- (6, 0);
		\draw[-, dotted] (0, 0) -- (4, 2);
		\draw [->, black, big arrow,
		line join=round,
		decorate, decoration={
		   zigzag,
		   segment length=6,
		   amplitude=4,post=lineto,
		   post length=5pt
		}]  (5, 2.5) -- (4, 2);
		
		\draw [-]  (0.6, 0.3) .. controls (0.68, 0.18) .. (0.72, 0);
		\node at (1, 0.2) {$\textcolor{blue}{\theta}$};
		\node at (3, -0.3) {$S$};
		\node at (5.8, -0.3) {$x$};
		\node at (-0.3, 3.8) {$y$};
		
		\draw[->] (7, 0) -- (7, 4);
		\draw[->] (7, 0) -- (13, 0);
		\draw[-, dotted] (7, 0) -- (11, 1);
		\draw [->, black, big arrow,
		line join=round,
		decorate, decoration={
		   zigzag,
		   segment length=6,
		   amplitude=4,post=lineto,
		   post length=5pt
		}] (12, 1.25) -- (11, 1);
		
		\draw [-]  (7.61, 0.15) .. controls (7.64, 0.05) .. (7.65, 0);
		\node at (9, 0.2) {$\textcolor{blue}{\theta'}$};
		\node at (10, -0.3) {$S'$};
		\node at (12.8, -0.3) {$x'$};
		\node at (6.7, 3.8) {$y'$};
	\end{tikzpicture}
    \end{center}
    \caption[Sketch illustrating relativistic beaming.]{Consider a photon
    emitted by a source in the proper frame, denoted by $S$, at an angle
    $\theta$. The $S'$ observer moves at a constant velocity $v$ along the
    $x$. The angle at which the moving observer sees the photon is $\theta'$.
    In case of ultra-relativistic velocities, the angle $\theta' \approx 1/\Gamma$,
    where $\Gamma = \sqrt{1-v^2/c^2}^{-1/2}$. The frame $S$ could be interpreted
    as the rest frame of an electron where is gives off radiation at an angle
    $\theta$. In the lab frame, the observed angle of radiation is at $\theta'$.
    Hence, radiation emitted isotropically in the proper frame, can be observed
    as being beamed.}
    \label{fig:relativistic-beaming}
\end{figure}
A key ingredient of GRBs is the doppler beaming of the radiation. This is
a characteristic of ultra-relativistic motion, and can be illustrated in a
few steps. Consider the situation in Fig.~\ref{fig:relativistic-beaming}.
Here, a photon emitted by a source at an angle $\theta$ in the proper
frame is observed at an angle $\theta'$ by an observer moving with velocity
$v$ towards the source (or source moving towards observer as a corollary),
represented by $S'$. For example, $S$ can be considered
to be a frame that is instantaneously at rest with a radiating charge, that
is otherwise moving with respect to the laboratory, a typical situation for
a synchrotron radiation. The amount of beaming is obtained using the
velocity addition formula,
\begin{eqnarray}
    u_x' &=& \frac{u_x - v}{1 - u_xv/c^2}, \\
    u_y' &=& \frac{1}{\Gamma}\frac{u_y}{1 - u_xv/c^2}.
\end{eqnarray}
Using $(u_x, u_y) = -c(\sin\theta, \cos\theta)$ for the photon velocity in $S$,
and $(u_x', u_y') = -c(\sin\theta', \cos\theta')$ in $S'$, we get the angles,
\begin{eqnarray}
    \sin\theta' &=& \frac{1}{\Gamma}\frac{\sin\theta}{1 + \beta\cos\theta}, \\
    \cos\theta' &=& \frac{\cos\theta + \beta}{1 + \beta\cos\theta},
\end{eqnarray}
where $\beta = v/c$, and $\Gamma = 1/\sqrt{1 - \beta^2}$. In the limit of $\Gamma \gg 1$,
the first equation above gives,
\begin{equation}
    \theta' \sim 1/\Gamma.
    \label{eq:relativistic-beaming-angle}
\end{equation}
This gives the important result that for a radius $R$ giving off
radiation, the observer sees the radiation from a size $\sim R/\Gamma$.

\subsubsection{Relativistic Jet}
In case of BNS or NSBH mergers, the central engine post merger (likely BH)
would launch a burst of intense radiation from energy of the in-falling
material left behind from the aftermath. Part of this material is accreted,
while a larger fraction is ejected in a jet along the rotation axis in
$\sim 5-10$ degree angular extent. The rotating debris could also extract
rotational energy of the BH via the \cite{blandford_znajek} mechanism.
The interaction of the jet with the external material results in
dissipation of the kinetic energy into a non-thermal spectrum of acceleration
changes that emit via synchrotron radiation.

\subsubsection{Synchrotron Radiation}
Charged particles are accelerated during the dissipation of kinetic energy
due to internal shocks in the expanding material, or external shocks
with the circumburst medium. The prompt GRB comes from the former, while the
afterglows are from the latter. Particles are accelerated as they repeatedly
cross a shock. The radiation is emitted primarily via synchrotron radiation.
For a relativistic electron, the spectrum
goes as \citep[see Sec.~8.4 of][]{longair},
\begin{eqnarray}
    F_e(\nu) \propto
    \begin{cases}
        \nu^{1/3} &; \nu < \nu_c \\
        \exp{(-\nu/\nu_c)} &; \nu > \nu_c
    \end{cases},
    \label{eq:spectrum-synchrotron}
\end{eqnarray}
where the critical frequency, $\nu_c \approx \Gamma_e^2\nu_g$, is the frequency
at which maximum power is emitted. Here, $\nu_g = eB/2\pi m_e$ is the
non-relativistic gyro-frequency of the electron. The complete spectrum depends
on how the relativistic electrons are distributed. A power law distribution
of electron energy is generally considered,
\begin{equation}
    N(E)dE \propto E^{-p}dE.
    \label{eq:grb-electron-pop-spec-index}
\end{equation}
The spectrum for a single electron, given in Eq.~(\ref{eq:spectrum-synchrotron})
along with the distribution of relativistic electrons, determine the observed spectra.
It turns out that the lower energy part of the spectrum is independent
of the distribution of relativistic electrons. Higher energy electrons deposit
most of their energy near the synchrotron frequency, $\nu_c \propto \Gamma^2 \propto E^2$.
Hence, the population of electrons at that energy will contribute to the
spectrum. We have,
\begin{eqnarray}
    F_{\text{sync}}(\nu) \propto
    \begin{cases}
        \nu^{1/3} &; \nu < \nu_c \\
        \nu^{-p/2} &; \nu > \nu_c.
    \end{cases}
\end{eqnarray}
\subsubsection{Short Gamma Ray Bursts}
The duration of the GRBs detected by the BATSE instrument fell into two distributions --
the fewer short GRBs around $\sim 0.2$s and the long GRBs around $\sim 20$s, with a
boundary at $\sim 2$s. The advent of the Swift Observatory \citep{Gehrels_2005} made
significant addition to the short GRB population, and identifying host galaxies.
The discovery of GW170817 gave the first observational evidence that binary neutron
star mergers mergers are the progenitors of at least some short GRBs. GRB 170817 A
was, however, slightly different from the typical short burst. The spectrum was
much softer with $E_{\text{peak}} = 185\pm 62$ keV, and a best-fit spectral index,
$\alpha = -0.62\pm0.40$ \citep{Goldstein_2017}. Values from the BATSE short GRB
sample are $\langle E_{\text{peak}}\rangle = 355 \pm 30$ keV and
$\langle\alpha\rangle=-0.58\pm0.10$ \citep{Ghirlanda_2004}.
Afterglows of short GRBs were detected in the X-rays, optical, NIR and radio bands
starting from the Swift era. However, multi-band afterglow observations are needed
to understand the properties, like jet opening angles. The study of short GRBs, its
afterglows, and the possibility of simultaneous GW detection make it an ideal candidate
for multi-messenger astronomy.
\subsection{Supernovae}
\begin{table}
    \begin{center}
    \begin{tabular}{ll}
    \hline
    Type & \hspace{5cm}Characteristics\\
    \hline
    \hline
    Ia  &  absence of hydrogen; presence of silicon lines\\
    Ib  &  absence of hydrogen; presence of helium lines\\
    Ic  &  absence of hydrogen and helium lines; weak silicon lines\\
    \hline
    IIP &  has a plateau in light curve\\
    IIL &  has a linear decrease in light curve\\
    IIn &  has narrow features compared to usual broad emission features in spectra\\
	IIb &  has SN~II properties at early times, and SN~Ib/c properties at late times\\
    \hline
    \end{tabular}
    \end{center}
    \caption{The table lists the subcategories of SNe~I/II and the basis of
    such a classification. The content is taken from Table 13.1 of \cite{longair}.
    }
    \label{tab:sne-populations}
\end{table}
Many interesting high energy astrophysics originate from stellar endpoints. The
endpoint of nuclear burning in massive stars $\gtrsim 8 \Msol$ is associated with
stellar collapse to form a neutron star, or a black hole. The
collapse may be associated with release of large bursts of energy $\sim 10^{53}$ erg,
known as supernovae (SNe). Their occurrence is more frequent that the other
high-energy astrophysical phenomena mentioned here. Time domain surveys today,
discover thousands of SNe in their typical few years duration. The most recent,
closest one is SN~1987A that exploded in the Large Magellanic Cloud in 1987
(see Sec.~\ref{sec:intro-mma}).

Supernovae are traditionally classified as Type I (SNe~I) or Type II (SNe~II).
The SNe~II are characterized by the presence of hydrogen Balmer lines in the
optical spectrum at maximum light, while the SNe~I do not. Further subdivisions
are tabulated in Table~\ref{tab:sne-populations}. Later in the thesis, detection
efficiency of supernova lightcurves are computed. In this section, we highlight
the important features of their lightcurves.

\subsubsection{Core Collapse Supernovae}\label{subsec:core-collapse}
\begin{figure}
    \begin{center}
    \includegraphics[width=0.6\textwidth, trim=0cm 1cm 0cm 0cm]
        {figures/luminosity-time-IIa.pdf}
    \end{center}
    \caption[Example of variation of luminosity with time for type II
    supernova homologous expansion model of \cite{Arnett_1980}.]{Variation in
    luminosity with time for the homologous expansion model, uniform opacity
    and density of \cite{Arnett_1980}. The time variation is given by
    Eq.~(\ref{eq:phi-t}). The value of $\tau_m$ determines the decay of the
    supernova. Values for this plot are $L_0 = 10^{43}$ erg s$^{-1}$,
    $\tau_0 = 10^8$s, $\tau_m=10^7$s.}
    \label{fig:sn2p-luminosity-time}
\end{figure}
The endpoint of stellar burning of a massive star is an iron core
$\sim 1.4 \Msol$ at a temperature of about $\sim 10^9$K. Photo-disintegration
of iron nuclei and inverse beta decay can trigger the onset of collapse
of this iron core. Order of magnitude estimates of the energy release
can be obtained from assuming the initial configuration of the core to
have a radius of $\sim 1000$ km, and the final compact object having a radius
of $\sim 10$ km. The net energy released is almost equal to the gravitational
binding energy of the final remnant,
\begin{eqnarray}
    E_{\text{bind}} &\sim& GM^2/R \\
                    &=& \left(5\times 10^{53} \text{erg}\right)
                           \left(\frac{M}{1.4 M_{\odot}}\right)^2
                           \left(\frac{R}{10 \text{ km}}\right)^{-1}.
\end{eqnarray}
The neutrinos produced by the inverse beta decay escape carrying $99\%$
of the energy of a supernova resulting in optical energies $\sim 10^{51}$ erg.
The gravitational collapse of the iron core is suddenly halted by the formation of a
proto-neutron star. The \emph{bounce} caused due to this shock expels the outer
layers of the star. The end result is a deposition of the $\sim 10^{51}$ erg near
the center of the star, followed by a blast wave. The expanding layer can be modeled
as homologous expansion. The evolution is determined from the radiative processes
and thermodynamics of the expanding ejecta. Analytic models for the time evolution
exists for simple model of the opacity. For example assuming a constant density and
opacity, the time evolution is given by \citep{Arnett_1980},
\begin{eqnarray}
    L_{\text{SN}}(t) &=& L_0\exp\left[-\left(\frac{t}{\tau_0}\right)-\left(\frac{t}{\tau_m}\right)^2\right].
    \label{eq:phi-t}
\end{eqnarray}
where $\tau_0$ is the diffusion time, and $\tau_m = \sqrt{2\tau_0R_0/v_{\text{sc}}}$,
$R_0$ being the initial radius of the ejecta, and $v_{\text{sc}}$ the expansion velocity
assumed to be constant. Typical values are $L_0 \sim 10^{43}$erg~s$^{-1}$,
$\tau_0 \simeq 10^8$s, $v_{\text{sc}} = 1000$km~s$^{-1}$, giving $\tau_m \simeq 10^7$s.
An example of the time evolution with the typical values is shown in Fig.~\ref{fig:sn2p-luminosity-time}.
There is a lot of variability in the SNe~II lightcurves due to various
additional physics. In Chapter~\ref{chapter:iptf-rates}, SNe~IIp lightcurve
are analyzed in more detail with respect to their detection efficiency by time
domain surveys.
%The evolution of the expanding shell is given by the first law of thermodynamics,
%\begin{equation}
%    \dot{E} + P\dot{V} = \dot{Q},
%    \label{eq:first-law-thermo}
%\end{equation}
%where, for the radiation dominated expanding material, $E = aT^4V$ and $P=E/3V$,
%$a$ is the radiation constant, $T$ is the temperature, $E$ is the internal
%energy, $P$ is the pressure. Radiative transfer determines the luminosity
%passing through a sphere at radius $r$ (see Sec.~2.4 of \cite{longair}),
%\begin{equation}
%    L = \frac{4\pi r^2c}{3\rho\kappa} \frac{\partial}{\partial r}\bigg(aT^4\bigg).
%    \label{eq:luminosity-1}
%\end{equation}
%The right hand of Eq.~(\ref{eq:first-law-thermo}) is given by the luminosity
%per unit mass,
%\begin{eqnarray}
%    \dot{Q} &=& - \frac{\partial L}{\partial m}
%             =  - \frac{\partial L}{\partial r} \frac{\partial r}{\partial m} \\
%            &=& \frac{1}{r^2}\frac{\partial}{\partial r}
%                \bigg[\frac{c}{3\kappa\rho}r^2 \frac{\partial}{\partial r}\bigg(aT^4\bigg) \bigg].
%\end{eqnarray}
%Combining with Eq.~(\ref{eq:first-law-thermo}), and using $1/\rho = V$,
%\begin{equation}
%    4T^4\left(\frac{\dot{T}}{T} + \frac{\dot{V}}{3V}\right) =
%    \frac{1}{r^2}\frac{\partial}{\partial r}\bigg[\frac{c}{3\kappa\rho}r^2 \frac{\partial T^4}{\partial r}\bigg]
%    \label{eq:first-law-themo-2}
%\end{equation}
%Due to homologous expansion, the \emph{surface} is at $R(t) = R_0 + v_{\text{sc}}t$,
%where $R_0$ is the radius after which free expansion occurs.
%Hence, $\dot{V}/V = 3\dot{R}/R = 3v_{\text{sc}}/R(t)$. For an adiabatic expansion,
%$T \sim 1/R(t)$. Factoring this out and separating the temporal and spatial
%dependence,
%\begin{equation}
%    T^4(r, t) = \Psi(r)\phi(t)T^4_0\left(\frac{R_0}{R(t)}\right)^4.
%    \label{eq:temperature-1}
%\end{equation}
%Using a dimensionless variable, $x = r/R(t)$, Eq.~(\ref{eq:first-law-themo-2})
%becomes,
%\begin{equation}
%    \frac{3R^2(t)}{c}\left(\frac{\dot{\phi}}{\phi}\right) =
%    \frac{1}{x^2\Psi} \frac{\partial}{\partial x}\bigg(\frac{x^2}{\rho\kappa}
%    \frac{\partial\Psi}{\partial x}\bigg).
%    \label{eq:phi-psi-equation-1}
%\end{equation}
%At this stage there are some assumptions required about the dependence of $\rho$
%and $\kappa$. In case of Thompson scattering, the opacity is a constant,
%$\kappa=\kappa_0$. The variation of the density can be factored using the
%smooth function, $\eta(x)$, as,
%\begin{equation}
%    \rho(r, t) = \rho_0\eta(x)\left(\frac{R_0}{R(t)}\right)^3,
%\end{equation}
%where the subscript 0 denotes values at $t = 0$.
%In case of spatial variation of the opacity, it can be factored into $\eta(x)$.
%This converts Eq.~(\ref{eq:phi-psi-equation-1}) as,
%\begin{equation}
%    \left(\frac{3\rho_0\kappa_0R_0^2}{c}\right) \left(\frac{R_0}{R(t)}\right)
%    \left(\frac{\dot{\phi}}{\phi}\right) =
%    \frac{1}{x^2\Psi} \frac{\partial}{\partial x}\bigg(\frac{x^2}{\eta(x)}
%    \frac{\partial\Psi}{\partial x}\bigg) = -\alpha,
%    \label{eq:phi-psi-equation-2}
%\end{equation}
%where each side is equated to constant $-\alpha$. The expression of $\phi(t)$
%takes the form,
%\begin{eqnarray}
%    \phi(t) &=& \exp\left[-\frac{t}{\tau_0}\left(1 + \frac{t}{2\tau_h}\right)\right] \\
%            &=& \exp\left[-\left(\frac{t}{\tau_0}\right)-\left(\frac{t}{\tau_m}\right)^2\right],
%    \label{eq:phi-t}
%\end{eqnarray}
%where $\tau_0 = 3R_0^2\rho_0\kappa_0/\alpha c$, $\tau_h = R_0/v_{\text{sc}}$,
%and $\tau_m = \sqrt{2\tau_0\tau_h}$. The value $\tau_m$ sets the decay scale
%for late times. To obtain values, the value of $\alpha$ is required from the
%spatial solution. Considering $\eta(x) \simeq 1$ for simplicity, and expanding
%the spatial part of Eq.~(\ref{eq:phi-psi-equation-2}), we get,
%\begin{equation}
%    x^2\Psi''(x) + 2x\Psi'(x) + \alpha x^2\Psi(x) = 0,
%    \label{eq:psi-x}
%\end{equation}
%which is the differential equation for spherical bessel function, giving,
%\begin{equation}
%    \Psi(x) = \frac{\sin\left(\sqrt{\alpha}x\right)}{\sqrt{\alpha}x}.
%    \label{eq:psi-expression}
%\end{equation}
%The boundary condition at the surface sets the value for $\alpha$.
%The details of boundary conditions are given in Sec.~IV of \citet{Arnett_1980}.
%The result at $x = 1$ is,
%\begin{equation}
%    \frac{\sin\sqrt{\alpha}}{\sqrt{\alpha}} = \frac{2}{3}\frac{\lambda}{R(t)},
%    \label{eq:psi-boundary-condition}
%\end{equation}
%where $\lambda = 1/\kappa\rho$ is the mean free path. The quantity $R(t)/\lambda$
%is the optical depth. For large optical depth, Eq.~(\ref{eq:psi-boundary-condition})
%gives,
%\begin{equation}
%    \alpha \approx \pi^2\left(1 - \frac{2\lambda}{3R(t)}\right)^2.
%\end{equation}
%Using Eq.~(\ref{eq:temperature-1}) and Eq.~(\ref{eq:luminosity-1}), we the
%luminosity at the surface,
%\begin{equation}
%    L(t) = \left[\frac{16\pi^2}{9}\frac{ac}{M\kappa_0}R_0^4T_0^4\right]
%        \phi(t) \left(\frac{x^2}{\eta(x)}\frac{d\Psi}{dx}\right)_{x=1},
%\end{equation}
%\begin{figure}
%    \begin{center}
%    \includegraphics[width=0.6\textwidth, trim=0cm 1cm 0cm 0cm]
%        {figures/luminosity-time-IIa.pdf}
%    \end{center}
%    \caption{Variation in luminosity with time for the homologous
%    expansion model, uniform opacity and density from \cite{Arnett_1980}.
%    The time variation is given by Eq.~(\ref{eq:phi-t}), characteristic
%    of Type II supernovae. The
%    later times show a gaussian type decay.}
%    \label{fig:sn2p-luminosity-time}
%\end{figure}
%where $M$ is the total mass in the ejecta. The prefactor sets the scale
%of luminosity. Typical values of parameters are, $R_0 = 10^{14}$cm,
%$\kappa_0 = 0.33$g$^{-1}$cm$^2$, $M = 10\Msol$, $L = 10^{43}$erg~s$^{-1}$,
%$v_{\text{sc}} = 1000$km~s$^{-1}$. We get $\tau_0 \simeq 10^8$s,
%$\tau_h \simeq 10^6$s, $\tau_m \simeq 10^7$s, $T_0 \simeq 6\times10^6$K.

\subsubsection{Type Ia}\label{subsec:type_Ia_supernovae}
SNe~Ia are produced due to thermonuclear detonation of carbon-oxygen white dwarfs
with masses close to the Chandrasekhar limit of $\sim 1.4 \Msol$. Fusion reactions
of carbon and oxygen are associated with intermediate elements like silicon, all
the way up to $^{56}$Ni. Silicon is found in the spectra near maximum light.
The $^{56}$Ni is converted into $^{56}$Co via electron capture which eventually
decays into $^{56}$Fe. The later part of the light curve shows an exponential decay
consistent with the radioactive decay of the $^{56}$Ni and $^{56}$Co. For SNe~Ia
the nuclear burning of carbon is ignited explosively either at the center of the
star, or different spots off-center. Following which, the burning occurs in thin
shells and propagates conductively as subsonic deflagrations, or via shock
compression as supersonic detonations \citep{Hillebrandt_2000}. Best fit models
predict an initial deflagration phase up to a density of $\sim 10^7$g cm$^{-3}$,
after which the detonations become dominant.

%Here we review a simple analytic model by \cite{Arnett_1982} which shows
%the qualitative features of the luminosity and lightcurve. The main difference
%compared to the expansion model mentioned earlier in the section, is the
%heating from nuclear fission. Hence, the $\dot{Q}$ term in Eq.~(\ref{eq:first-law-thermo})
%includes a nuclear heating term,
%\begin{equation}
%    \dot{Q} = -\frac{\partial L}{\partial m} + \varepsilon,
%\end{equation}
%where $\varepsilon$ is assumed to be mostly from the decay of $^{56}$Ni i.e.,
%\begin{equation}
%    \varepsilon = \varepsilon^0_{\text{Ni}}\xi(x)\exp\bigg(-\frac{t}{\tau_{\text{Ni}}}\bigg),
%\end{equation}
%where $\varepsilon^0 = 4.78 \times 10^{10}$erg g$^{-1}$s$^{-1}$, is the energy released
%per unit mass, $\tau_{\text{Ni}} = 7.605\times 10^5$ s, is the half life of $^{56}$Ni,
%$\xi(x)$ is the distribution of $^{56}$Ni in the expanding ejecta, and $x = r/R(t)$
%as defined above. The notation is same as the previous section on SNe~II.
%Splitting the temperature dependence into spatial and temporal as in
%Eq.~(\ref{eq:phi-psi-equation-2}), the spatial variation satisfies the same
%equation as of Eq.~(\ref{eq:psi-x}). is unchanged, however, the $\phi(t)$
%equation is modified as,
%\begin{equation}
%    \left(\frac{R_0}{R(t)}\right)\left(\frac{\dot{\phi}}{\phi}\right) -
%    \left(\frac{\varepsilon^0_{\text{Ni}}}{aV_0T_0^4}\right)\left(\frac{\xi(x)\eta(x)}{\Psi(x)}\right)
%    e^{-t/\tau_{\text{Ni}}} = -\frac{1}{\tau_0},
%\end{equation}
%where $\tau_0$ is the time scale of exponential decay in Eq.~(\ref{eq:phi-t}).
%The quantity, $b = \xi(x)\eta(x)/\Psi(x)$,
%is the ratio between radioactive energy to the radiative energy, which turns
%out to not vary significantly as a function of $x$. Treating it as a constants,
%and defining $\tilde{\varepsilon} = b\varepsilon^0_{\text{Ni}}/aT_0^4V_0$, we
%have,
%\begin{equation}
%    \dot{\phi} + \phi\left(\frac{1}{\tau_0}\frac{R(t)}{R_0}\right) =
%    \tilde{\varepsilon}\frac{R(t)}{R_0}e^{-t/\tau_{\text{Ni}}}.
%\end{equation}
%The solution of $\phi$ is \citep[for details, see ][]{Arnett_1982},
%\begin{equation}
%    \phi(t) = \underbrace{\frac{\varepsilon^0_{\text{Ni}}M_{\text{Ni}}^0\tau_0}{E_{\text{therm}}^0}}_{\simeq 10}
%    \hspace{0.1cm}
%    \Lambda\left(\frac{t}{\tau_m}, \frac{\tau_m}{2\tau_{\text{Ni}}}\right) +
%    \exp\left[-\left(\frac{t}{\tau_m}\right)^2\right],
%    \label{eq:phi-t-snIa}
%\end{equation}
%where, \citeauthor{Arnett_1982} estimates
%$\tilde{\varepsilon} = \varepsilon^0_{\text{Ni}}M_{\text{Ni}}^0/E_{\text{therm}}^0$
%from physical parameters of the system.
%Typical values are $M_{\text{Ni}}^0 \simeq 1\Msol$ for amount of nickel,
%$E_{\text{therm}}^0 \sim 10^{51}$erg for the thermal contribution to total energy.
%This means that the prefactor in Eq.~(\ref{eq:phi-t-snIa}) is $\sim 10$, and
%the first term dominates the result. The function $\Lambda(s, u)$
%is defined as,
\begin{figure}
    \begin{center}
    \includegraphics[width=0.6\textwidth, trim=0cm 1cm 0cm 0cm]
        {figures/luminosity-time-Ia.pdf}
    \end{center}
    \caption[Example of variation of luminosity with time for type I
    supernova homologous expansion model of \cite{Arnett_1982}.]{This figure
    shows a plot for the time variation of luminosity for a typical
    \cite{Arnett_1982} model. The 15--17 day region, which is the
    typical peak time for the SN~Ia, is shaded. Three cases of diffusion times,
    controlled by the parameter $\tau_m$ (see Eq.~(\ref{eq:phi-t}) are shown.
    Larger diffusion time increases both the time to maximum light and width
    of the lightcurve.}
    \label{fig:snIa-luminosity-time}
\end{figure}
%\begin{eqnarray}
%    \Lambda(s, u) &=& \exp(-s^2)\int_0^s\exp(-2uv + v^2)dv \\
%                  &\sim & e^{-2su} - e^{-u^2} \hspace{2cm}; s \gg u \\
%                  &\sim & \left[1 - e^{-2su}(1 + 2su)\right]/2\hspace{0.1cm}; s \ll u.
%\end{eqnarray}
Like the case of SNe~II, the ejecta can be simply modeled as homologous
expansion. However, the difference from the SNe~II case is the presence of
a radioactive heating source which determines the decay of the lightcurve.
\cite{Arnett_1982} considered a model predominantly heated by $^{56}$Ni
decay. The early phase of the luminosity shows a $L_{\text{SN}} \propto t^2$
rise. For later times, decay is exponential $L_{\text{SN}}\propto \exp(-t/\tau_{\text{Ni}})$,
where $\tau_{\text{Ni}} = 7.605\times 10^5$s is the half life of $^{56}$Ni.
Examples of luminosity time variation for the \cite{Arnett_1982} model is
shown in Fig.~\ref{fig:snIa-luminosity-time}. The maximum light occurs when
diffusion losses equal the radioactive heating. Both width of the lightcurve,
and time to maximum light increases with increasing values of $\tau_m$, as
defined in Eq.~(\ref{eq:phi-t}). A typical time variation in the luminosity
for the \citep{Arnett_1982} model is plotted in Fig.~\ref{fig:snIa-luminosity-time}.
SNe~Ia are one of the most luminous type of supernova, with absolute
magnitudes $\sim -19.5$. Although slight variations exist, the lightcurves
are homogeneous. Hence, SNe~Ia are used as distance indicators in cosmology.
The detectability of the SNe~Ia lightcurves for transient surveys is
considered in Chapter~\ref{chapter:iptf-rates}.
\subsubsection{GWs From Core-Collapse Supernovae}
While compact binary mergers are one of the strongest individual sources
of GWs in the universe, asymmetric core-collapse of a massive star could
also generate GWs. Hence, SNe~II could potentially be associated with GW
emission. The signal strength, however, is not as strong as compact object
mergers, and current ground based detectors are only sensitive to such events
occurring with our own galaxy. Current estimates of galactic SNe~II rate is
$\approx 3.2$ per century and the last such event happened $\sim 100$ years
back \citep{Morozova_2018}. Hence, there are chances of getting another such
event in this era of MMA. Various complex processes, like vibrational modes
of the newly formed proto-neutron star (PNS), neutrino interactions, fluid
instabilities, and shocks could drive the GW emission from a CCSNe.
\cite{Abdikamalov_2014} have shown that the last phase of collapse, bounce,
and post bounce phase produces GW emission, $h\sim10^{-21}$, for a source
at $\sim 30$ kpc. This is a very optimistic detection scenarios for future
LIGO/Virgo searches for un-modeled sources, with a prospect of detection of a
multimessenger ``trifecta'' of GWs, EM and neutrinos \citep{Pajkos_2019}.

\subsection{Kilonovae}
Merger of compact objects involving a NS, produces an isotropic EM
emission called a kilonova. The peak luminosity is about
$\sim 10^{41}$erg s$^{-1}$, about $1/100$th the peak luminosity of a
typical supernova. The absolute magnitudes are $\simeq -15$ as opposed
to $\simeq -19.5$ of a typical SN~Ia. The lightcurve peaks in a timescale
of $\sim$ day. The merger ejects some matter with a sub-relativistic velocity.
Following the merger there is rapid decompression of matter at nuclear density.
Rapid neutron capture produces neutron rich heavy elements in the lanthanide
family, many of them radioactive. The radioactive decay of such species is
responsible for heating the ejecta. This is similar to the case for SN~Ia,
with a radioactive heating source,
\begin{equation}
    \varepsilon = \frac{fc^2}{\tau_{\text{rad}}}\exp(-t/\tau_{\text{rad}}),
    \label{eq:kilonova-heat-source-individual}
\end{equation}
where $f$ is the fraction of unit rest mass equivalent that is
converted to energy. In this case, the solution is identical to the
SN~I case described above. However, since there are several species
produces, the resultant heating is sum of the individual species.
The distribution of half lives for heavy elements, $\tau_{\text{rad}}$
is uniform in logarithmic intervals of time \citep{Li_1998}. Thus,
the effective heating source is,
\begin{eqnarray}
    \varepsilon_{\text{tot}} &=&
    \int \varepsilon(\tau_{\text{rad}})p(\tau_{\text{rad}})d\tau_{\text{rad}} \\
    &=& \frac{fc^2}{t},
    \label{eq:kilonova-heat-source}
\end{eqnarray}
where $\varepsilon(\tau_{\text{rad}})$ is given by
Eq.~(\ref{eq:kilonova-heat-source-individual}), and
$p(\tau_{\text{rad}}) \propto 1/\tau_{\text{rad}}$, is the distribution of
half lives of different heavy element species. Later work, however,
have established the heating rate to be a steeper power-law, $\propto 1/t^{-\alpha}$,
where $\alpha \approx 1.1-1.4$ \citep{Metzger_2017}.
The basic ingredients for the model is similar to the SN~Ia calculation
above. In case of the heating term from a single species, like
Eq.~(\ref{eq:kilonova-heat-source-individual}), the rise follows a
$L\propto t^2$ dependence, while the fall follows the exponential decay
of radioactive species, $L\propto \exp(-t/\tau_{\text{rad}})$.
\footnote{Note that the treatment by \cite{Arnett_1982} \& \cite{Li_1998}
is similar when considering a single  species. In particular, Eq.~21 in
\cite{Li_1998} is identical to Eq.~44 of \cite{Arnett_1982}, showing the $t^2$
rise.} In case of the power-law heat source, the late time luminosity is
follows the heat source i.e., $L\propto 1/t$ (or $L\propto 1/t^{\alpha}$).
The diffusion timescale of photons is large due to the presence of heavy
elements which interact strongly with the photons. The timescale is
determined by the condition when the diffusion time decreases and becomes
of the order of the expansion timescale. This occurs at $\sim 1.6$ days \citep{Metzger_2017},
which is significantly less than that of supernovae.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{GW170817}\label{sec:gw170817}
\begin{figure}
    \begin{center}
    \includegraphics[width=0.6\textwidth, trim=0cm 1.5cm 0cm 0cm]
        {figures/gw170817/gw170817_bb_fit.pdf}
    \end{center}
    \caption[Lightcurve evolution of AT 2017gfo using best fit blackbody
    parameters.]{This figure shows the blackbody luminosity evolution of AT 2017gfo
    using the best-fit parameters from \cite{kasliwal_2017}. The luminosity in three
    reference wavelengths are plotted. The transient evolved rapidly in the blue bands,
    with a slower evolution in the red bands.}
    \label{fig:gw170817-evolution}
\end{figure}
Due to the fast decay and low intrinsic brightness of the kilonova, their
existence remained a mystery until the detection of AT 2017 gfo, which was
discovered as an EM counterpart of the merger of two NSs, GW170817. On August
17, 2017, the advanced LIGO and advanced Virgo detectors observed GWs from
a binary neutron-star (BNS) coalescence. This was shortly followed by a spatially
and temporally coincident short GRB, named GRB 170817 A. The association
of the two gave the first observational evidence that BNS systems are
progenitors of, at least, some short GRBs. Follow-up operations on this event
were unprecedented across the EM spectrum, and led to the observation of
AT 2017gfo. The multi-messenger operations on this event gave a wealth of
knowledge in astrophysics and cosmology. Below are some of the important
results.
\begin{itemize}
    \item An independent measurement of the Hubble constant using the distance
          information from GW data, host galaxy information from EM data
          \citep{2017Nature..24471}.
    \item The off-center location constrained the progenitor of such binary
          systems \citep{progenitor}.
    \item Tidal deformability measurement of the neutron-stars, from GWs, was
          used to constraint the NS equation of state \citep{gw170817}.
          used to constraint the NS equation of state \citep{gw170817}.
    \item The photometry and spectroscopy of the kilonova constrained the jet
          and ejecta properties.
\end{itemize}
Overall, this event was the first success story of the decade long effort
towards joint detection of electromagnetic and gravitational wave signals.
The kilonova AT 2017gfo evolved from a luminosity of $\simeq 10^{42}$ erg s$^{-1}$
at about $0.5$ days to $\simeq 3\times 10^{40}$ erg s$^{-1}$ in ten days. Effective
blackbody temperature evolved from $1.1\times 10^4$ K to about $1.4\times 10^3$ K
in ten days. The inferred ejected mass $\simeq 0.05 \Msol$ at a expansion velocity
$\simeq 0.1c$. The infrared spectra shows the presence of lanthanide series elements,
like Neodymium, synthesized via $r$-process \citep{kasliwal_2017}. The evolution of
the luminosity based on a blackbody fit is shown in Fig.~\ref{fig:gw170817-evolution}.